function addVlookFormula() {
  var ss = SpreadsheetApp.getActiveSpreadsheet(); 
  var sheet = ss.getSheets()[0];
  Utilities.sleep(10000)
  var value = sheet.getRange(2,2).getValue();

  if (value != "Is People Manager?") {
    sheet.insertColumnAfter(1);
    sheet.getRange(2,2).setValue("Is People Manager?");
    lastRow = sheet.getLastRow();
    for(var i=3; i<lastRow;i++){
      sheet.getRange(i,2).setFormula('=VLOOKUP(A'+i+', Assignments!$B:$C, 2, false)');
    };
  }
 }